### Hierarchy

- ExperimentalService

## Index

### Properties

- experiments

### Methods

- addExperiment
- disableExperiment
- enableExperiment
- getExperiment
- getExperiments

## Properties

### Private experiments

experiments: Map<string, Experiment> = new Map<string, Experiment>()

- Defined in src/experimental/experimental.service.ts:16

## Methods

### addExperiment

- addExperiment(name: string, options?: Experiment): void

- - Defined in src/experimental/experimental.service.ts:21

  #### Parameters

  - ##### name: string

  - ##### Default value options: Experiment = {enabled: false}

  #### Returns void

### disableExperiment

- disableExperiment(name: string): void

- - Defined in src/experimental/experimental.service.ts:40

  #### Parameters

  - ##### name: string

  #### Returns void

### enableExperiment

- enableExperiment(name: string): void

- - Defined in src/experimental/experimental.service.ts:31

  #### Parameters

  - ##### name: string

  #### Returns void

### getExperiment

- getExperiment(name: string): Experiment

- - Defined in src/experimental/experimental.service.ts:49

  #### Parameters

  - ##### name: string

  #### Returns Experiment

### getExperiments

- getExperiments(): Array<[string, Experiment]>

- - Defined in src/experimental/experimental.service.ts:61

  #### Returns Array<[string, Experiment]>

Generated using TypeDoc